/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   printf.h                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: cchauvet <cchauvet@student.42angoulem      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/09/26 14:47:54 by cchauvet          #+#    #+#             */
/*   Updated: 2022/10/10 19:11:15 by cchauvet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef PRINTF_H
# define PRINTF_H
# include <stdlib.h>
# include <unistd.h>
# include <stdarg.h>

size_t	ft_strlen(const char *s);
char	*ft_strchr(const char *s, int c);
char	*ft_strjoin(char *s1, char *s2);

char	*ft_itoa(int n);
char	*ft_ctoa(int c);
char	*ft_strdup(const char *s);
char	*ft_ptoa(void *ptr);
char	*ft_utoa(unsigned int n);
char	*ft_ltoabase(long int n, char *base);
char	*ft_ultoabase(long unsigned int n, char *base);

int		ft_printf(const char *format, ...);

int		ft_vprintf(const char *format, va_list va);
char	*ft_vsprintf(char *str, const char *format, va_list va);
int		ft_vdprintf(int fd, const char *format, va_list va);

void	ft_putchar_fd(char c, int fd);
void	ft_putstr_fd(char *s, int f);

#endif
